[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Libsoup troubles in rawhide (compat-libsoup22 needed)



On Jan 29, 2008 5:44 PM, Matthias Clasen <mclasen redhat com> wrote:
> He has also provided a patch for libtranslate by now, and I'm sure he
> will be happy to help other package maintainers that are affected
> by this.


I think the only issue here is the issue of best effort notice.  It's
really nice to give people a heads up on the list so people with deps
can brace for impact. Some of them might have even done some local
test building ahead of it going live in rawhide.  I wouldn't push to
make this a requirement, but I'd like to encourage a culture where we
voluntarily agree to give a heads up to other maintainers when we can
in situations where know upgrades cause abi/api changes that affect
other packages.

You dont have to go as far as what was done with the impending gcc
change, but i would hold up the effort made there as being a nearly
perfect way to handle such a widespread issue.  For single libraries,
it would be great to give one or two days notice before it becomes
available in rawhide and if possible a koji scratch build of it for
maintainers to use in local testing.

-jef"i really don't want to have to lay down all the ways we can be
nice to each other as strict policy.  I'd rather just ask individuals
to be excellent to one other and trust them to do their best with
regard to communicating"spaleta


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]